Bug 125681 - system-config-printer snmp messages when configuring "hp LaserJet 4300"
system-config-printer snmp messages when configuring "hp LaserJet 4300"
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 19:54 EDT by Barry K. Nathan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-24 13:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2004-06-09 19:54:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:
I get some weird messages when trying to add a LaserJet 4300 via
JetDirect. Also, the printer configuration GUI selects "Generic
PostScript" in this case. However, the messages make it sound like it
may be possible to automatically choose "LaserJet 4300".

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Run "printconf-gui" from a terminal, as root.
2. Try to set up a HP LaserJet 4300 via JetDirect.
3. Look at the type of printer chosen by default, as well as the
messages in the terminal.

Actual Results:  "Generic PostScript" is chosen, and these messages
appear in the terminal:
---begin quote---
No IEEE 1284 match: {'model': 'hp LaserJet 4300', 'cmdset':
'PJL,MLC,POSTSCRIPT,PJL,PCLXL,PCL', 'manufacturer': 'Hewlett-Packard'}
No SNMP match: 'hp LaserJet 4300'
No SNMP match: 'Hewlett-Packard Dynamic RAM Disk'
---end quote---

Expected Results:  I'm not completely sure, to be honest. However,
since HP "LaserJet 4300" is offered as an option in the GUI, I guess
I'm expecting that to be chosen automatically in this case.

Additional info:

I don't know for sure that there's actually a bug here, but I figure
it is worth reporting, just in case. Also, I don't know absolutely for
sure which component is at fault; this is just my best guess.
Comment 1 Barry K. Nathan 2004-06-09 20:03:32 EDT
I just set up a LaserJet 2100 over JetDirect, and that was
automatically detected as a LaserJet 2100 without the terminal
messages, so I'm more inclined now to think that the behavior with the
4300 is in fact a bug.
Comment 2 Tim Waugh 2004-06-24 13:29:09 EDT
Yes, this is indeed what I made it print out that message for -- to
get feedback exactly like this.  I could put in a message like 'please
report to bugzilla' to make it more obvious I guess.

Thank you very much for this report.  I've built foomatic-3.0.1-5 in
Fedora development which should pick up the printer correctly.

Note You need to log in before you can comment on or make changes to this bug.